Subject: Re: linux-next: manual merge of the mm tree with the block tree

From: Jens Axboe <[email-masked]>
Date: Fri, 2 Sep 2022 05:49:04 -0600

On 9/2/22 1:02 AM, John Hubbard wrote:
> On 9/1/22 07:10, Jens Axboe wrote:
>>> So I see two obvious solutions. Either:
>>>
>>> a) Only do the first two patches for now, and leave them in Andrew's
>>> tree. After the next release, do the remaining 5 patches via the block
>>> tree, or
>>>
>>> b) Move the whole series to the block tree now, or
>>>
>>> c) something else?
>>>
>>> Andrew, Jens, any preference here? 
>>
>> Would've been cleaner to take through the block tree given what
>> it touches, imho. Or at least base on that, so we'd avoid frivolous
>> conflicts like this.
>>
> 
> OK, so I'm new to block, and my first guess at the right git tree
> and branch:
> 
>     git://git.kernel.dk/linux-block block-6.0
> 
>  doesn't seem to contain this one:
> 
>     e88811bc43b9 ("block: use on-stack page vec for <= UIO_FASTIOV")
> 
> Can you point me to the right tree please?

That's because block-6.0 contains fixes for 6.0, it's not a 6.1 tree.
for-6.1/block is the pending 6.1 items, and for-next contains all my
branches merged for linux-next consumption.

> Once I know the right block tree to use, I could post the next version
> rebased on top of that. And plan to send it up through Jens' block tree,
> assuming that it continues to survive the reviews, that is.
> 
> Andrew, is that OK with you? The first two patches will still get
> reviewed by mm, and they shouldn't conflict with mm, even if they
> go up through the block tree.

We can just make it a separate topic branch too, I often do that for
various items that are separate in nature and has overlap.

-- 
Jens Axboe